org.apache.tomcat.util.net

## Class AprEndpoint.SocketWithOptionsProcessor

- java.lang.Object
- - org.apache.tomcat.util.net.AprEndpoint.SocketWithOptionsProcessor

- All Implemented Interfaces:
    Runnable
  Enclosing class:
    AprEndpoint

      protected class AprEndpoint.SocketWithOptionsProcessor
      extends Object
      implements Runnable

  This class is the equivalent of the Worker, but will simply use in an external Executor thread pool. This will also set the socket options and do the handshake. This is called after an accept().

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SocketWrapperBase<Long>` | `socket`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AprEndpoint.SocketWithOptionsProcessor(SocketWrapperBase<Long> socket)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### socket

          protected SocketWrapperBase<Long> socket

  - ### Constructor Detail

    - #### AprEndpoint.SocketWithOptionsProcessor

          public AprEndpoint.SocketWithOptionsProcessor(SocketWrapperBase<Long> socket)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.